## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global gettext_version 0.22
%global glib2_version 2.78.3
%global gtk4_version 4.12.4
%global libsoup_version 3.0

Name:		gnome-online-accounts
Version:	3.50.2
Release:	%autorelease
Summary:	Single sign-on framework for GNOME

License:	LGPL-2.0-or-later
URL:		https://wiki.gnome.org/Projects/GnomeOnlineAccounts
Source0:	https://download.gnome.org/sources/gnome-online-accounts/3.50/%{name}-%{version}.tar.xz

BuildRequires:	pkgconfig(gcr-4)
BuildRequires:	pkgconfig(gio-2.0) >= %{glib2_version}
BuildRequires:	pkgconfig(glib-2.0) >= %{glib2_version}
BuildRequires:	pkgconfig(gobject-2.0) >= %{glib2_version}
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(libadwaita-1)
BuildRequires:	gettext >= %{gettext_version}
BuildRequires:	gtk-doc
BuildRequires:	krb5-devel
BuildRequires:	meson
BuildRequires:	vala
BuildRequires:	/usr/bin/desktop-file-validate
%if !0%{?flatpak}
BuildRequires:	pkgconfig(gtk4) >= %{gtk4_version}
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(libsecret-1)
BuildRequires:	pkgconfig(libsoup-3.0) >= %{libsoup_version}
BuildRequires:	pkgconfig(rest-1.0)
BuildRequires:	pkgconfig(libxml-2.0)
%endif

Requires:	glib2%{?_isa} >= %{glib2_version}
%if !0%{?flatpak}
Requires:	gtk4%{?_isa} >= %{gtk4_version}
Requires:	libsoup3%{?_isa} >= %{libsoup_version}
Requires:	gvfs-goa
%endif

%description
GNOME Online Accounts provides interfaces so that applications and libraries
in GNOME can access the user's online accounts. It has providers for Google,
Nextcloud, Flickr, Foursquare, Microsoft Account, Microsoft Exchange, Fedora,
IMAP/SMTP and Kerberos.

%package devel
Summary:	Development files for %{name}
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

%build
%meson \
%if 0%{?flatpak}
  -Dgoabackend=false \
%else
  -Dfedora=true \
%endif
  %{nil}

%meson_build

%install
%meson_install

%find_lang %{name}

%check
%if !0%{?flatpak}
desktop-file-validate %{buildroot}/%{_datadir}/applications/org.gnome.OnlineAccounts.OAuth2.desktop
%endif

%files -f %{name}.lang
%license COPYING
%doc NEWS README.md
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/Goa-1.0.typelib
%{_libdir}/libgoa-1.0.so.0
%{_libdir}/libgoa-1.0.so.0.0.0
%if !0%{?flatpak}
%{_libdir}/libgoa-backend-1.0.so.2
%{_libdir}/libgoa-backend-1.0.so.2.0.0
%dir %{_libdir}/goa-1.0
%{_prefix}/libexec/goa-daemon
%{_prefix}/libexec/goa-identity-service
%{_prefix}/libexec/goa-oauth2-handler
%{_datadir}/applications/org.gnome.OnlineAccounts.OAuth2.desktop
%{_datadir}/dbus-1/services/org.gnome.OnlineAccounts.service
%{_datadir}/dbus-1/services/org.gnome.Identity.service
%{_datadir}/glib-2.0/schemas/org.gnome.online-accounts.gschema.xml
%endif
%{_datadir}/icons/hicolor/*/apps/goa-*.svg

%files devel
%{_includedir}/goa-1.0/
%{_libdir}/libgoa-1.0.so
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/Goa-1.0.gir
%{_libdir}/pkgconfig/goa-1.0.pc
%if !0%{?flatpak}
%{_libdir}/libgoa-backend-1.0.so
%{_libdir}/pkgconfig/goa-backend-1.0.pc
%endif
%{_libdir}/goa-1.0/include
%{_datadir}/vala/

%changelog
## START: Generated by rpmautospec
* Tue May 28 2024 David King <amigadave@amigadave.com> - 3.50.2-1
- Update to 3.50.2

* Fri Apr 12 2024 Gwyn Ciesla <gwync@protonmail.com> - 3.50.1-2
- RPMAUTOSPEC: unresolvable merge
## END: Generated by rpmautospec
